void new_sd_journal_print(void);
__asm__(".symver new_sd_journal_print,sd_journal_print@LIBSYSTEMD_209");
static void (*resolve_sd_journal_print(void)) (void) {
	return new_sd_journal_print;
}
void sd_journal_print(void) __attribute__((ifunc("resolve_sd_journal_print")));
obsolete_lib(sd_journal_print,libsystemd-journal);

void new_sd_journal_printv(void);
__asm__(".symver new_sd_journal_printv,sd_journal_printv@LIBSYSTEMD_209");
static void (*resolve_sd_journal_printv(void)) (void) {
	return new_sd_journal_printv;
}
void sd_journal_printv(void) __attribute__((ifunc("resolve_sd_journal_printv")));
obsolete_lib(sd_journal_printv,libsystemd-journal);

void new_sd_journal_send(void);
__asm__(".symver new_sd_journal_send,sd_journal_send@LIBSYSTEMD_209");
static void (*resolve_sd_journal_send(void)) (void) {
	return new_sd_journal_send;
}
void sd_journal_send(void) __attribute__((ifunc("resolve_sd_journal_send")));
obsolete_lib(sd_journal_send,libsystemd-journal);

void new_sd_journal_sendv(void);
__asm__(".symver new_sd_journal_sendv,sd_journal_sendv@LIBSYSTEMD_209");
static void (*resolve_sd_journal_sendv(void)) (void) {
	return new_sd_journal_sendv;
}
void sd_journal_sendv(void) __attribute__((ifunc("resolve_sd_journal_sendv")));
obsolete_lib(sd_journal_sendv,libsystemd-journal);

void new_sd_journal_stream_fd(void);
__asm__(".symver new_sd_journal_stream_fd,sd_journal_stream_fd@LIBSYSTEMD_209");
static void (*resolve_sd_journal_stream_fd(void)) (void) {
	return new_sd_journal_stream_fd;
}
void sd_journal_stream_fd(void) __attribute__((ifunc("resolve_sd_journal_stream_fd")));
obsolete_lib(sd_journal_stream_fd,libsystemd-journal);

void new_sd_journal_open(void);
__asm__(".symver new_sd_journal_open,sd_journal_open@LIBSYSTEMD_209");
static void (*resolve_sd_journal_open(void)) (void) {
	return new_sd_journal_open;
}
void sd_journal_open(void) __attribute__((ifunc("resolve_sd_journal_open")));
obsolete_lib(sd_journal_open,libsystemd-journal);

void new_sd_journal_close(void);
__asm__(".symver new_sd_journal_close,sd_journal_close@LIBSYSTEMD_209");
static void (*resolve_sd_journal_close(void)) (void) {
	return new_sd_journal_close;
}
void sd_journal_close(void) __attribute__((ifunc("resolve_sd_journal_close")));
obsolete_lib(sd_journal_close,libsystemd-journal);

void new_sd_journal_previous(void);
__asm__(".symver new_sd_journal_previous,sd_journal_previous@LIBSYSTEMD_209");
static void (*resolve_sd_journal_previous(void)) (void) {
	return new_sd_journal_previous;
}
void sd_journal_previous(void) __attribute__((ifunc("resolve_sd_journal_previous")));
obsolete_lib(sd_journal_previous,libsystemd-journal);

void new_sd_journal_next(void);
__asm__(".symver new_sd_journal_next,sd_journal_next@LIBSYSTEMD_209");
static void (*resolve_sd_journal_next(void)) (void) {
	return new_sd_journal_next;
}
void sd_journal_next(void) __attribute__((ifunc("resolve_sd_journal_next")));
obsolete_lib(sd_journal_next,libsystemd-journal);

void new_sd_journal_previous_skip(void);
__asm__(".symver new_sd_journal_previous_skip,sd_journal_previous_skip@LIBSYSTEMD_209");
static void (*resolve_sd_journal_previous_skip(void)) (void) {
	return new_sd_journal_previous_skip;
}
void sd_journal_previous_skip(void) __attribute__((ifunc("resolve_sd_journal_previous_skip")));
obsolete_lib(sd_journal_previous_skip,libsystemd-journal);

void new_sd_journal_next_skip(void);
__asm__(".symver new_sd_journal_next_skip,sd_journal_next_skip@LIBSYSTEMD_209");
static void (*resolve_sd_journal_next_skip(void)) (void) {
	return new_sd_journal_next_skip;
}
void sd_journal_next_skip(void) __attribute__((ifunc("resolve_sd_journal_next_skip")));
obsolete_lib(sd_journal_next_skip,libsystemd-journal);

void new_sd_journal_get_realtime_usec(void);
__asm__(".symver new_sd_journal_get_realtime_usec,sd_journal_get_realtime_usec@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_realtime_usec(void)) (void) {
	return new_sd_journal_get_realtime_usec;
}
void sd_journal_get_realtime_usec(void) __attribute__((ifunc("resolve_sd_journal_get_realtime_usec")));
obsolete_lib(sd_journal_get_realtime_usec,libsystemd-journal);

void new_sd_journal_get_monotonic_usec(void);
__asm__(".symver new_sd_journal_get_monotonic_usec,sd_journal_get_monotonic_usec@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_monotonic_usec(void)) (void) {
	return new_sd_journal_get_monotonic_usec;
}
void sd_journal_get_monotonic_usec(void) __attribute__((ifunc("resolve_sd_journal_get_monotonic_usec")));
obsolete_lib(sd_journal_get_monotonic_usec,libsystemd-journal);

void new_sd_journal_get_data(void);
__asm__(".symver new_sd_journal_get_data,sd_journal_get_data@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_data(void)) (void) {
	return new_sd_journal_get_data;
}
void sd_journal_get_data(void) __attribute__((ifunc("resolve_sd_journal_get_data")));
obsolete_lib(sd_journal_get_data,libsystemd-journal);

void new_sd_journal_enumerate_data(void);
__asm__(".symver new_sd_journal_enumerate_data,sd_journal_enumerate_data@LIBSYSTEMD_209");
static void (*resolve_sd_journal_enumerate_data(void)) (void) {
	return new_sd_journal_enumerate_data;
}
void sd_journal_enumerate_data(void) __attribute__((ifunc("resolve_sd_journal_enumerate_data")));
obsolete_lib(sd_journal_enumerate_data,libsystemd-journal);

void new_sd_journal_restart_data(void);
__asm__(".symver new_sd_journal_restart_data,sd_journal_restart_data@LIBSYSTEMD_209");
static void (*resolve_sd_journal_restart_data(void)) (void) {
	return new_sd_journal_restart_data;
}
void sd_journal_restart_data(void) __attribute__((ifunc("resolve_sd_journal_restart_data")));
obsolete_lib(sd_journal_restart_data,libsystemd-journal);

void new_sd_journal_add_match(void);
__asm__(".symver new_sd_journal_add_match,sd_journal_add_match@LIBSYSTEMD_209");
static void (*resolve_sd_journal_add_match(void)) (void) {
	return new_sd_journal_add_match;
}
void sd_journal_add_match(void) __attribute__((ifunc("resolve_sd_journal_add_match")));
obsolete_lib(sd_journal_add_match,libsystemd-journal);

void new_sd_journal_flush_matches(void);
__asm__(".symver new_sd_journal_flush_matches,sd_journal_flush_matches@LIBSYSTEMD_209");
static void (*resolve_sd_journal_flush_matches(void)) (void) {
	return new_sd_journal_flush_matches;
}
void sd_journal_flush_matches(void) __attribute__((ifunc("resolve_sd_journal_flush_matches")));
obsolete_lib(sd_journal_flush_matches,libsystemd-journal);

void new_sd_journal_seek_head(void);
__asm__(".symver new_sd_journal_seek_head,sd_journal_seek_head@LIBSYSTEMD_209");
static void (*resolve_sd_journal_seek_head(void)) (void) {
	return new_sd_journal_seek_head;
}
void sd_journal_seek_head(void) __attribute__((ifunc("resolve_sd_journal_seek_head")));
obsolete_lib(sd_journal_seek_head,libsystemd-journal);

void new_sd_journal_seek_tail(void);
__asm__(".symver new_sd_journal_seek_tail,sd_journal_seek_tail@LIBSYSTEMD_209");
static void (*resolve_sd_journal_seek_tail(void)) (void) {
	return new_sd_journal_seek_tail;
}
void sd_journal_seek_tail(void) __attribute__((ifunc("resolve_sd_journal_seek_tail")));
obsolete_lib(sd_journal_seek_tail,libsystemd-journal);

void new_sd_journal_seek_monotonic_usec(void);
__asm__(".symver new_sd_journal_seek_monotonic_usec,sd_journal_seek_monotonic_usec@LIBSYSTEMD_209");
static void (*resolve_sd_journal_seek_monotonic_usec(void)) (void) {
	return new_sd_journal_seek_monotonic_usec;
}
void sd_journal_seek_monotonic_usec(void) __attribute__((ifunc("resolve_sd_journal_seek_monotonic_usec")));
obsolete_lib(sd_journal_seek_monotonic_usec,libsystemd-journal);

void new_sd_journal_seek_realtime_usec(void);
__asm__(".symver new_sd_journal_seek_realtime_usec,sd_journal_seek_realtime_usec@LIBSYSTEMD_209");
static void (*resolve_sd_journal_seek_realtime_usec(void)) (void) {
	return new_sd_journal_seek_realtime_usec;
}
void sd_journal_seek_realtime_usec(void) __attribute__((ifunc("resolve_sd_journal_seek_realtime_usec")));
obsolete_lib(sd_journal_seek_realtime_usec,libsystemd-journal);

void new_sd_journal_seek_cursor(void);
__asm__(".symver new_sd_journal_seek_cursor,sd_journal_seek_cursor@LIBSYSTEMD_209");
static void (*resolve_sd_journal_seek_cursor(void)) (void) {
	return new_sd_journal_seek_cursor;
}
void sd_journal_seek_cursor(void) __attribute__((ifunc("resolve_sd_journal_seek_cursor")));
obsolete_lib(sd_journal_seek_cursor,libsystemd-journal);

void new_sd_journal_get_cursor(void);
__asm__(".symver new_sd_journal_get_cursor,sd_journal_get_cursor@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_cursor(void)) (void) {
	return new_sd_journal_get_cursor;
}
void sd_journal_get_cursor(void) __attribute__((ifunc("resolve_sd_journal_get_cursor")));
obsolete_lib(sd_journal_get_cursor,libsystemd-journal);

void new_sd_journal_get_fd(void);
__asm__(".symver new_sd_journal_get_fd,sd_journal_get_fd@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_fd(void)) (void) {
	return new_sd_journal_get_fd;
}
void sd_journal_get_fd(void) __attribute__((ifunc("resolve_sd_journal_get_fd")));
obsolete_lib(sd_journal_get_fd,libsystemd-journal);

void new_sd_journal_process(void);
__asm__(".symver new_sd_journal_process,sd_journal_process@LIBSYSTEMD_209");
static void (*resolve_sd_journal_process(void)) (void) {
	return new_sd_journal_process;
}
void sd_journal_process(void) __attribute__((ifunc("resolve_sd_journal_process")));
obsolete_lib(sd_journal_process,libsystemd-journal);

void new_sd_journal_print_with_location(void);
__asm__(".symver new_sd_journal_print_with_location,sd_journal_print_with_location@LIBSYSTEMD_209");
static void (*resolve_sd_journal_print_with_location(void)) (void) {
	return new_sd_journal_print_with_location;
}
void sd_journal_print_with_location(void) __attribute__((ifunc("resolve_sd_journal_print_with_location")));
obsolete_lib(sd_journal_print_with_location,libsystemd-journal);

void new_sd_journal_printv_with_location(void);
__asm__(".symver new_sd_journal_printv_with_location,sd_journal_printv_with_location@LIBSYSTEMD_209");
static void (*resolve_sd_journal_printv_with_location(void)) (void) {
	return new_sd_journal_printv_with_location;
}
void sd_journal_printv_with_location(void) __attribute__((ifunc("resolve_sd_journal_printv_with_location")));
obsolete_lib(sd_journal_printv_with_location,libsystemd-journal);

void new_sd_journal_send_with_location(void);
__asm__(".symver new_sd_journal_send_with_location,sd_journal_send_with_location@LIBSYSTEMD_209");
static void (*resolve_sd_journal_send_with_location(void)) (void) {
	return new_sd_journal_send_with_location;
}
void sd_journal_send_with_location(void) __attribute__((ifunc("resolve_sd_journal_send_with_location")));
obsolete_lib(sd_journal_send_with_location,libsystemd-journal);

void new_sd_journal_sendv_with_location(void);
__asm__(".symver new_sd_journal_sendv_with_location,sd_journal_sendv_with_location@LIBSYSTEMD_209");
static void (*resolve_sd_journal_sendv_with_location(void)) (void) {
	return new_sd_journal_sendv_with_location;
}
void sd_journal_sendv_with_location(void) __attribute__((ifunc("resolve_sd_journal_sendv_with_location")));
obsolete_lib(sd_journal_sendv_with_location,libsystemd-journal);

void new_sd_journal_get_cutoff_realtime_usec(void);
__asm__(".symver new_sd_journal_get_cutoff_realtime_usec,sd_journal_get_cutoff_realtime_usec@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_cutoff_realtime_usec(void)) (void) {
	return new_sd_journal_get_cutoff_realtime_usec;
}
void sd_journal_get_cutoff_realtime_usec(void) __attribute__((ifunc("resolve_sd_journal_get_cutoff_realtime_usec")));
obsolete_lib(sd_journal_get_cutoff_realtime_usec,libsystemd-journal);

void new_sd_journal_get_cutoff_monotonic_usec(void);
__asm__(".symver new_sd_journal_get_cutoff_monotonic_usec,sd_journal_get_cutoff_monotonic_usec@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_cutoff_monotonic_usec(void)) (void) {
	return new_sd_journal_get_cutoff_monotonic_usec;
}
void sd_journal_get_cutoff_monotonic_usec(void) __attribute__((ifunc("resolve_sd_journal_get_cutoff_monotonic_usec")));
obsolete_lib(sd_journal_get_cutoff_monotonic_usec,libsystemd-journal);

void new_sd_journal_wait(void);
__asm__(".symver new_sd_journal_wait,sd_journal_wait@LIBSYSTEMD_209");
static void (*resolve_sd_journal_wait(void)) (void) {
	return new_sd_journal_wait;
}
void sd_journal_wait(void) __attribute__((ifunc("resolve_sd_journal_wait")));
obsolete_lib(sd_journal_wait,libsystemd-journal);

void new_sd_journal_open_directory(void);
__asm__(".symver new_sd_journal_open_directory,sd_journal_open_directory@LIBSYSTEMD_209");
static void (*resolve_sd_journal_open_directory(void)) (void) {
	return new_sd_journal_open_directory;
}
void sd_journal_open_directory(void) __attribute__((ifunc("resolve_sd_journal_open_directory")));
obsolete_lib(sd_journal_open_directory,libsystemd-journal);

void new_sd_journal_add_disjunction(void);
__asm__(".symver new_sd_journal_add_disjunction,sd_journal_add_disjunction@LIBSYSTEMD_209");
static void (*resolve_sd_journal_add_disjunction(void)) (void) {
	return new_sd_journal_add_disjunction;
}
void sd_journal_add_disjunction(void) __attribute__((ifunc("resolve_sd_journal_add_disjunction")));
obsolete_lib(sd_journal_add_disjunction,libsystemd-journal);

void new_sd_journal_perror(void);
__asm__(".symver new_sd_journal_perror,sd_journal_perror@LIBSYSTEMD_209");
static void (*resolve_sd_journal_perror(void)) (void) {
	return new_sd_journal_perror;
}
void sd_journal_perror(void) __attribute__((ifunc("resolve_sd_journal_perror")));
obsolete_lib(sd_journal_perror,libsystemd-journal);

void new_sd_journal_perror_with_location(void);
__asm__(".symver new_sd_journal_perror_with_location,sd_journal_perror_with_location@LIBSYSTEMD_209");
static void (*resolve_sd_journal_perror_with_location(void)) (void) {
	return new_sd_journal_perror_with_location;
}
void sd_journal_perror_with_location(void) __attribute__((ifunc("resolve_sd_journal_perror_with_location")));
obsolete_lib(sd_journal_perror_with_location,libsystemd-journal);

void new_sd_journal_get_usage(void);
__asm__(".symver new_sd_journal_get_usage,sd_journal_get_usage@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_usage(void)) (void) {
	return new_sd_journal_get_usage;
}
void sd_journal_get_usage(void) __attribute__((ifunc("resolve_sd_journal_get_usage")));
obsolete_lib(sd_journal_get_usage,libsystemd-journal);

void new_sd_journal_test_cursor(void);
__asm__(".symver new_sd_journal_test_cursor,sd_journal_test_cursor@LIBSYSTEMD_209");
static void (*resolve_sd_journal_test_cursor(void)) (void) {
	return new_sd_journal_test_cursor;
}
void sd_journal_test_cursor(void) __attribute__((ifunc("resolve_sd_journal_test_cursor")));
obsolete_lib(sd_journal_test_cursor,libsystemd-journal);

void new_sd_journal_query_unique(void);
__asm__(".symver new_sd_journal_query_unique,sd_journal_query_unique@LIBSYSTEMD_209");
static void (*resolve_sd_journal_query_unique(void)) (void) {
	return new_sd_journal_query_unique;
}
void sd_journal_query_unique(void) __attribute__((ifunc("resolve_sd_journal_query_unique")));
obsolete_lib(sd_journal_query_unique,libsystemd-journal);

void new_sd_journal_enumerate_unique(void);
__asm__(".symver new_sd_journal_enumerate_unique,sd_journal_enumerate_unique@LIBSYSTEMD_209");
static void (*resolve_sd_journal_enumerate_unique(void)) (void) {
	return new_sd_journal_enumerate_unique;
}
void sd_journal_enumerate_unique(void) __attribute__((ifunc("resolve_sd_journal_enumerate_unique")));
obsolete_lib(sd_journal_enumerate_unique,libsystemd-journal);

void new_sd_journal_restart_unique(void);
__asm__(".symver new_sd_journal_restart_unique,sd_journal_restart_unique@LIBSYSTEMD_209");
static void (*resolve_sd_journal_restart_unique(void)) (void) {
	return new_sd_journal_restart_unique;
}
void sd_journal_restart_unique(void) __attribute__((ifunc("resolve_sd_journal_restart_unique")));
obsolete_lib(sd_journal_restart_unique,libsystemd-journal);

void new_sd_journal_get_catalog(void);
__asm__(".symver new_sd_journal_get_catalog,sd_journal_get_catalog@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_catalog(void)) (void) {
	return new_sd_journal_get_catalog;
}
void sd_journal_get_catalog(void) __attribute__((ifunc("resolve_sd_journal_get_catalog")));
obsolete_lib(sd_journal_get_catalog,libsystemd-journal);

void new_sd_journal_get_catalog_for_message_id(void);
__asm__(".symver new_sd_journal_get_catalog_for_message_id,sd_journal_get_catalog_for_message_id@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_catalog_for_message_id(void)) (void) {
	return new_sd_journal_get_catalog_for_message_id;
}
void sd_journal_get_catalog_for_message_id(void) __attribute__((ifunc("resolve_sd_journal_get_catalog_for_message_id")));
obsolete_lib(sd_journal_get_catalog_for_message_id,libsystemd-journal);

void new_sd_journal_set_data_threshold(void);
__asm__(".symver new_sd_journal_set_data_threshold,sd_journal_set_data_threshold@LIBSYSTEMD_209");
static void (*resolve_sd_journal_set_data_threshold(void)) (void) {
	return new_sd_journal_set_data_threshold;
}
void sd_journal_set_data_threshold(void) __attribute__((ifunc("resolve_sd_journal_set_data_threshold")));
obsolete_lib(sd_journal_set_data_threshold,libsystemd-journal);

void new_sd_journal_get_data_threshold(void);
__asm__(".symver new_sd_journal_get_data_threshold,sd_journal_get_data_threshold@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_data_threshold(void)) (void) {
	return new_sd_journal_get_data_threshold;
}
void sd_journal_get_data_threshold(void) __attribute__((ifunc("resolve_sd_journal_get_data_threshold")));
obsolete_lib(sd_journal_get_data_threshold,libsystemd-journal);

void new_sd_journal_reliable_fd(void);
__asm__(".symver new_sd_journal_reliable_fd,sd_journal_reliable_fd@LIBSYSTEMD_209");
static void (*resolve_sd_journal_reliable_fd(void)) (void) {
	return new_sd_journal_reliable_fd;
}
void sd_journal_reliable_fd(void) __attribute__((ifunc("resolve_sd_journal_reliable_fd")));
obsolete_lib(sd_journal_reliable_fd,libsystemd-journal);

void new_sd_journal_get_events(void);
__asm__(".symver new_sd_journal_get_events,sd_journal_get_events@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_events(void)) (void) {
	return new_sd_journal_get_events;
}
void sd_journal_get_events(void) __attribute__((ifunc("resolve_sd_journal_get_events")));
obsolete_lib(sd_journal_get_events,libsystemd-journal);

void new_sd_journal_get_timeout(void);
__asm__(".symver new_sd_journal_get_timeout,sd_journal_get_timeout@LIBSYSTEMD_209");
static void (*resolve_sd_journal_get_timeout(void)) (void) {
	return new_sd_journal_get_timeout;
}
void sd_journal_get_timeout(void) __attribute__((ifunc("resolve_sd_journal_get_timeout")));
obsolete_lib(sd_journal_get_timeout,libsystemd-journal);

void new_sd_journal_add_conjunction(void);
__asm__(".symver new_sd_journal_add_conjunction,sd_journal_add_conjunction@LIBSYSTEMD_209");
static void (*resolve_sd_journal_add_conjunction(void)) (void) {
	return new_sd_journal_add_conjunction;
}
void sd_journal_add_conjunction(void) __attribute__((ifunc("resolve_sd_journal_add_conjunction")));
obsolete_lib(sd_journal_add_conjunction,libsystemd-journal);

void new_sd_journal_open_files(void);
__asm__(".symver new_sd_journal_open_files,sd_journal_open_files@LIBSYSTEMD_209");
static void (*resolve_sd_journal_open_files(void)) (void) {
	return new_sd_journal_open_files;
}
void sd_journal_open_files(void) __attribute__((ifunc("resolve_sd_journal_open_files")));
obsolete_lib(sd_journal_open_files,libsystemd-journal);

